Partner Details

Retrieve partner account information

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve details about your partner account, including supported currencies and their configurations.

📘

Recipe

The Buy Crypto, Send Crypto, and Subscribe to an Investment recipes all start here, checking products (and available_investments) before creating an order.

Request

GET /partner

Example Response

{
  "name": "Bank Name",
  "logo_url": "https://example.com/img/logo.png",
  "kyc_mode": "lirium_collect",
  "available_assets": [
    {
      "id": "BTC",
      "decimal_places": 8,
      "allowed_operations": ["buy", "receive", "sell", "send", "transfer"]
    },
    {
      "id": "ETH",
      "decimal_places": 18,
      "allowed_operations": ["buy", "receive", "sell", "send", "transfer"]
    },
    {
      "id": "USDC",
      "decimal_places": 6,
      "allowed_operations": ["buy", "receive", "sell", "send", "transfer"]
    }
  ],
  "available_investments": [
    {
      "id": "aEthUSDC",
      "quote_asset": "USDC",
      "network": "ethereum",
      "provider_id": "aave",
      "subscription": {"min_amount": "1", "max_amount": "200000"},
      "redemption": {"min_amount": "1", "max_amount": "0"},
      "fee": {"type": "earnings_percentage", "value": "5"},
      "name": "Aave Ethereum USDC",
      "enabled": true
    }
  ],
  "products": ["crypto_buy_sell", "crypto_receive", "crypto_send", "crypto_swap", "investments"],
  "available_incoming_fiat_instructions": [
    {
      "type": "ar_cvu",
      "creation_fees": [{"type": "fixed", "value": "1", "currency": "USD"}]
    }
  ],
  "available_outgoing_fiat_instructions": [
    {
      "type": "ar_cbu",
      "required_fields": [
        {"key": "cbu", "type": "string", "regex": "^[0-9]{22}$", "optional": false}
      ],
      "currencies": ["ARS"]
    }
  ],
  "delegation_enabled": true
}

Response Fields

FieldTypeDescription
namestringPartner account name
logo_urlstringURL of the partner logo
kyc_modestringKYC collection mode: no_kyc, partner_collect, or lirium_collect
available_assetsarrayAssets enabled for the partner
available_assets[].idstringAsset code (e.g., BTC, USDC)
available_assets[].decimal_placesintegerNumber of decimal places for the asset
available_assets[].allowed_operationsarrayOperations allowed for the asset (buy, receive, sell, send, transfer)
available_investmentsarrayInvestment products enabled for the partner
available_investments[].idstringInvestment identifier (e.g., aEthUSDC)
available_investments[].quote_assetstringAsset the investment is quoted/settled in
available_investments[].networkstringNetwork of the investment asset (lowercase)
available_investments[].provider_idstringInvestment provider
available_investments[].subscriptionobjectmin_amount / max_amount for subscribing
available_investments[].redemptionobjectmin_amount / max_amount for redeeming (max_amount 0 means no cap)
available_investments[].feeobjectFee type and value
available_investments[].namestringInvestment display name
available_investments[].enabledbooleanWhether the investment is enabled
productsarrayEnabled product codes for the partner (array of strings)
available_incoming_fiat_instructionsarrayIncoming fiat instruction types the partner can offer (omitted/null when none)
available_incoming_fiat_instructions[].typestringInstruction type (e.g., ar_cvu, mx_clabe)
available_incoming_fiat_instructions[].creation_feesarrayCreation fees, each {type, value, currency}
available_outgoing_fiat_instructionsarrayOutgoing fiat instruction types the partner can offer (omitted/null when none)
available_outgoing_fiat_instructions[].typestringInstruction type (e.g., ar_cbu, ar_alias, mx_clabe)
available_outgoing_fiat_instructions[].required_fieldsarrayFields required to create the instruction, each {key, type, regex?, min_length?, max_length?, optional}
available_outgoing_fiat_instructions[].currenciesarrayCurrencies supported by the instruction type
delegation_enabledbooleanWhether delegation is enabled for the partner

Notes

Use each available_assets[].decimal_places value to configure asset formatting and precision in your application.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json